epp_TransID (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_TransID class

### org.openrtk.idl.epp0705

# Class epp_TransID

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_TransID`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransID`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements necessary to represent the client transaction identifier and the server transaction identifier. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_TransID.java,v 1.1 2003/03/20 22:42:19 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:19 $

See Also:
  `epp_Response`

  ## Field Summary
  `String` | `m_client_trid` The transaction identifier assigned by the client.
  `String` | `m_server_trid` The transaction identifier assigned by the server.

  ## Constructor Summary
  `epp_TransID()` Empty constructor
  `epp_TransID(String _m_client_trid, String _m_server_trid)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getClientTrid()` Accessor method for the transaction identifier assigned by the client
  `String` | `getServerTrid()` Accessor method for the transaction identifier assigned by the server
  `void` | `setClientTrid(String value)` Accessor method for the transaction identifier assigned by the client
  `void` | `setServerTrid(String value)` Accessor method for the transaction identifier assigned by the server
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_client_trid

    public String m_client_trid

> The transaction identifier assigned by the client.
> See Also:
>   `setClientTrid(String)`, `getClientTrid()`

### m_server_trid

    public String m_server_trid

> The transaction identifier assigned by the server.
> See Also:
>   `setServerTrid(String)`, `getServerTrid()`

## Constructor Details

### epp_TransID

    public epp_TransID()

> Empty constructor

### epp_TransID

    public epp_TransID(String _m_client_trid,
                       String _m_server_trid)

> The constructor with initializing variables.
> Parameters:
>   `_m_client_trid` - The transaction identifier assigned by the client
>   `_m_server_trid` - The transaction identifier assigned by the server

## Method Details

### getClientTrid

    public String getClientTrid()

> Accessor method for the transaction identifier assigned by the client
> Returns:
>   The client transaction id
> See Also:
>   `m_client_trid`

### getServerTrid

    public String getServerTrid()

> Accessor method for the transaction identifier assigned by the server
> Returns:
>   The server transaction id
> See Also:
>   `m_server_trid`

### setClientTrid

    public void setClientTrid(String value)

> Accessor method for the transaction identifier assigned by the client
> Parameters:
>   `value` - The client transaction id
> See Also:
>   `m_client_trid`

### setServerTrid

    public void setServerTrid(String value)

> Accessor method for the transaction identifier assigned by the server
> Parameters:
>   `value` - The server transaction id
> See Also:
>   `m_server_trid`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS